Name:		cakephp
Version:	1.3.21
Release:	%mkrel 2

Summary:	MVC rapid application development framework for PHP
License:	MIT
Group:		Development/PHP
URL:		http://cakephp.org/
		# https://github.com/cakephp/cakephp/tarball/%{version}:
Source0:	%{name}-%{version}.tar.gz
		# Fix the path to launch the console php script to an
		# absolute path:
Patch0:		cakephp-1.3.21-mdv-fix-lib-path.patch
Patch1:		TEMP-0000000-698CF7.patch
BuildArch:	noarch

Requires:	apache-mod_php
Requires:	php-pdo
Recommends:	cakephp-cli


%description
CakePHP is a free, open-source, model-view-controller rapid development
framework for PHP. It's a foundational structure for programmers to create
web applications. CakePHP reduces development costs and helps developers
write less code, making it swiftly and with the least amount of hassle:

* Compatible with versions 4 and 5 of PHP
* Integrated CRUD for database interaction
* Application scaffolding
* Code generation
* MVC architecture
* Request dispatcher with clean, custom URLs and routes
* Built-in validation
* Fast and flexible templating (PHP syntax, with helpers)
* View Helpers for AJAX, JavaScript, HTML Forms and more
* Email, Cookie, Security, Session, and Request Handling Components
* Flexible ACL
* Data Sanitization
* Flexible Caching
* Localization
* Works from any web site directory, with little to no Apache configuration
  involved


%package cli
Summary:	CakePHP console client
Group:		Development/PHP

Requires:	%{name}
Requires:	php-cli


%description cli
CakePHP is a free, open-source, model-view-controller rapid development
framework for PHP. It's a foundational structure for programmers to create
web applications.

This package contains the console command-line interface to CakePHP. It
features a number of console applications that are used in concert with
other CakePHP features (like ACL or i18n) and for general use in getting you
to launch quicker.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
# Remove unnecessary 'empty' files and directories.  These were added
# by upstream to workaround braindead MacOS X extracting utilities
# that would silently not create empty directories:
find ./ -type f -name empty -size 0 -print0 | xargs -0 rm -f
# We don't need the msdos command launcher:
CAKEBAT=cake/console/cake.bat
[[ -f ${CAKEBAT} ]] && rm -f ${CAKEBAT}


%install
mkdir -p %{buildroot}%{_datadir}/php/%{name}/cake/console
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_docdir}/%{name}

cp -r cake/libs \
    cake/tests \
    cake/config \
    cake/*.php \
    %{buildroot}%{_datadir}/php/%{name}/cake
cp -r cake/console/libs \
    cake/console/templates \
    cake/console/*.php \
    %{buildroot}%{_datadir}/php/%{name}/cake/console
cp -r cake/console/cake %{buildroot}%{_bindir}/cake

cp README %{buildroot}%{_docdir}/%{name}
cp cake/*.txt %{buildroot}%{_docdir}/%{name}


%files
%{_datadir}/php/%{name}/cake/libs
%{_datadir}/php/%{name}/cake/tests
%{_datadir}/php/%{name}/cake/config
%{_datadir}/php/%{name}/cake/*.php
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/VERSION.txt
%doc %{_docdir}/%{name}/LICENSE.txt


%files cli
%{_bindir}/cake
%{_datadir}/php/%{name}/cake/console




%changelog
* Mon Jan 18 2016 luigiwalser <luigiwalser> 1.3.21-2.mga5
+ Revision: 925431
- install cake console templates
- 1.3.21
- rediff patch 0

  + daviddavid <daviddavid>
    - add patch from Debian to fix an XML class SSRF vulnerability (mga#17003)
      * https://security-tracker.debian.org/tracker/TEMP-0000000-698CF7

* Wed Oct 15 2014 umeabot <umeabot> 1.3.13-5.mga5
+ Revision: 748098
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.13-4.mga5
+ Revision: 678292
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.3.13-3.mga4
+ Revision: 503254
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3.13-2.mga3
+ Revision: 347322
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 juancho <juancho> 1.3.13-1.mga3
+ Revision: 298531
- imported package cakephp

